%error = ForceRequiredAddOn("Weapon_Sword"); //Requiring the add-on Weapon_Sword.

if(%error == $Error::AddOn_Disabled) //Forcing the add-on to load. If the user had it disabled, then remove the item's UI name to prevent users from spawning it.
{
	swordItem.uiName = "";
}

if(%error == $Error::AddOn_NotFound) //The required add-on was not found. You are not going to use this add-on without it.
{
	error("ERROR: Weapon_ReaperScythe - required add-on Weapon_Sword not found");
}

%error = ForceRequiredAddOn("Weapon_Bow"); //Requiring the add-on Weapon_Bow.

if(%error == $Error::AddOn_Disabled) //Forcing the add-on to load. If the user had it disabled, then remove the item's UI name to prevent users from spawning it.
{
	bowItem.uiName = "";
}

if(%error == $Error::AddOn_NotFound) //The required add-on was not found. You are not going to use this add-on without it.
{
	error("ERROR: Weapon_ReaperScythe - required add-on Weapon_Bow not found");
}

exec("./reaperScythe.cs");
exec("./grimScythe.cs");